Package org.eigenbase.xom

# Interface MetaDef.Content

All Superinterfaces:
  `NodeDef`

All Known Implementing Classes:
  `MetaDef.Any`, `MetaDef.Array`, `MetaDef.CData`, `MetaDef.Object`

Enclosing class:
  `MetaDef`

public static interface MetaDef.Content extends NodeDef
The Content class contains all entities which represent types of content which may appear within an Element. Content includes Objects, Arrays, Strings, and special markers such as Any.

## Method Summary

### Methods inherited from interface org.eigenbase.xom.NodeDef

`display, displayXML, getChildren, getLocation, getName, getText, getType, getWrapper`